ActionLogBean (gCube Workflow Documents Manager Portlet 2.1.0-2.17.2 API)
Date: 2014-01-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wfdocviewer.shared
Class ActionLogBean

    java.lang.Object
      com.extjs.gxt.ui.client.data.BaseModelData
          com.extjs.gxt.ui.client.data.BaseModel
              org.gcube.portlets.admin.wfdocviewer.shared.ActionLogBean

All Implemented Interfaces:
  com.extjs.gxt.ui.client.data.ChangeEventSource, com.extjs.gxt.ui.client.data.Model, com.extjs.gxt.ui.client.data.ModelData, Serializable

    public class ActionLogBean

extends com.extjs.gxt.ui.client.data.BaseModel

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.extjs.gxt.ui.client.data.BaseModel
`changeEventSupport`

Fields inherited from class com.extjs.gxt.ui.client.data.BaseModelData
`allowNestedValues, map`

Fields inherited from interface com.extjs.gxt.ui.client.data.ChangeEventSource
`Add, Remove, Update`

Constructor Summary
`ActionLogBean()`
`ActionLogBean(String workflowid, Date date, String author, String actiontype)`

Method Summary
`String` | `getAction()`
`String` | `getAuthor()`
`Date` | `getDate()`
`String` | `getWorkflowid()`

Methods inherited from class com.extjs.gxt.ui.client.data.BaseModel
`addChangeListener, addChangeListener, fireEvent, fireEvent, isSilent, notify, notifyPropertyChanged, remove, removeChangeListener, removeChangeListeners, set, setSilent`

Methods inherited from class com.extjs.gxt.ui.client.data.BaseModelData
`get, get, getProperties, getPropertyNames, isAllowNestedValues, setAllowNestedValues, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.extjs.gxt.ui.client.data.ModelData
`get, getProperties, getPropertyNames`

Constructor Detail

### ActionLogBean

    public ActionLogBean()

### ActionLogBean

    public ActionLogBean(String workflowid,
                         Date date,
                         String author,
                         String actiontype)

Method Detail

### getWorkflowid

    public String getWorkflowid()

### getDate

    public Date getDate()

### getAuthor

    public String getAuthor()

### getAction

    public String getAction()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.